Update a dynamic component
curl --request PATCH \
--url https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents/name/{name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"enabled": true,
"instructions": "<string>"
}
'import requests
url = "https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents/name/{name}"
payload = {
"enabled": True,
"instructions": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, instructions: '<string>'})
};
fetch('https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents/name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"enabled": true,
"instructions": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.This response has no body data.DynamicComponents
Update a dynamic component
Updates the enabled status and/or instructions for a dynamic component. Only accessible when SDK3 is enabled for the app. The name, title, and description fields are read-only.
PATCH
/
api
/
v2
/
appuid
/
{appUid}
/
agents
/
uid
/
{agentUid}
/
dynamicComponents
/
name
/
{name}
Update a dynamic component
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1The agent's uid
Minimum string length:
1The component name (e.g., 'mindset-accordion')
Minimum string length:
1Body
application/json
Response
Successful update
Unique name/identifier of the component (e.g., 'mindset-accordion')
Display title of the component
Description of what the component does
Whether the component is enabled for use by the AI agent
Custom instructions for the AI agent on when and how to use this component
Required string length:
1 - 2000Creation timestamp (ISO 8601)
Last modification timestamp (ISO 8601)